Configurations - Update

Hiermee wordt een configuratie van een server bijgewerkt.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/configurations/{configurationName}?api-version=2021-06-01

URI-parameters

Name In Vereist Type Description
configurationName
path True

string

De naam van de serverconfiguratie.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

serverName
path True

string

De naam van de server.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Type Description
properties.source

string

Bron van de configuratie.

properties.value

string

Waarde van de configuratie.

Antwoorden

Name Type Description
200 OK

Configuration

OK

202 Accepted

Geaccepteerd

Other Status Codes

CloudError

Foutreactie waarin wordt beschreven waarom de bewerking is mislukt.

Beveiliging

azure_auth

Azure Active Directory OAuth2-stroom

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Update a user configuration

Voorbeeldaanvraag

PATCH https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/event_scheduler?api-version=2021-06-01

{
  "properties": {
    "value": "on",
    "source": "user-override"
  }
}

Voorbeeldrespons

{
  "properties": {
    "value": "ON",
    "description": "Indicates the status of the Event Scheduler.",
    "defaultValue": "OFF",
    "dataType": "Enumeration",
    "allowedValues": "ON,OFF,DISABLED",
    "source": "user-override"
  },
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/event_scheduler",
  "name": "event_scheduler",
  "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
}

Definities

Name Description
CloudError

Een foutreactie van de Batch-service.

Configuration

Vertegenwoordigt een configuratie.

ConfigurationDataType

Gegevenstype van de configuratie.

createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorResponse

Foutreactie

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

CloudError

Een foutreactie van de Batch-service.

Name Type Description
error

ErrorResponse

Foutreactie
Veelvoorkomende foutreactie voor alle Azure Resource Manager-API's om foutdetails te retourneren voor mislukte bewerkingen. (Dit volgt ook de OData-foutreactie-indeling.)

Configuration

Vertegenwoordigt een configuratie.

Name Type Description
id

string

Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

De naam van de resource

properties.allowedValues

string

Toegestane waarden van de configuratie.

properties.dataType

ConfigurationDataType

Gegevenstype van de configuratie.

properties.defaultValue

string

Standaardwaarde van de configuratie.

properties.description

string

Beschrijving van de configuratie.

properties.documentationLink

string

Koppeling naar configuratiedocumentatie.

properties.isConfigPendingRestart

boolean

De configuratie is in behandeling voor opnieuw opstarten of niet.

properties.isDynamicConfig

boolean

Configuratie dynamisch of statisch.

properties.isReadOnly

boolean

Configuratie met het kenmerk Alleen-lezen of niet.

properties.source

string

Bron van de configuratie.

properties.unit

string

Configuratie-eenheid.

properties.value

string

Waarde van de configuratie.

systemData

systemData

De systeemmetagegevens met betrekking tot deze resource.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

ConfigurationDataType

Gegevenstype van de configuratie.

Waarde Description
Boolean
Numeric
Integer
Enumeration

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorResponse

Foutreactie

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorResponse[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.